# NumEcoEval ChangeLog

Tous les changements de ce projet seront documentés dans ce document.

## [Non livré]

- Defect: Libellé erreur erroné quand donnée de référence manquante
- Ajout du mode d'utilisation et taux d'utilisation
- Ajout d'une API /version pour récupérer la version courante de NumEcoEval dans le composant référentiel

## [1.2.2] - 2024-01-11

### Ajoutés
- Ajout de multi-partition pour le topic de donnée principal pour permettre la lecture en parallèle
- Amélioration des logs liés à Kafka et aux temps de traitement des équipements physiques

## [1.2.1] - 2024-01-04

### Corrigés
- Augmentation de la taille maximum des fichiers en entrée de POST /import/csv
- Remise en place des champs _discriminator
- Déduplication des avertissements en sortie d'API /import/csv

## [1.2.0] - 2023-12-11

### Ajoutés
- Contrôles sur les API d'entrées
- API Referentiel : affichage des mix electriques pour un pays

## [1.1.0] - 2023-11-21

### Ajoutés

### Corrigés
- [Code non cohérent avec la spécification](https://gitlab-forge.din.developpement-durable.gouv.fr/pub/numeco/m4g/api-event-enrichissement/-/issues/2)
- [Aucun index lors de la récupération des sous-éléments - problème de performance ](https://gitlab-forge.din.developpement-durable.gouv.fr/pub/numeco/m4g/api-event-donneesentrees/-/issues/1)

### Supprimés
- Composants api-event-enrichissement, api-event-indicateurs, api-rest-calculs (regroupés dans api-event-calculs)

## [1.0.0] - 2023-06-01

### Ajoutés
- Initialisation des modules
